#!/bin/sh
# <BEGIN COPYRIGHT>
# This file is part of the "Bad Penguin" GNU/Linux distribution
# Copyright (C) 1997-98-99 by Antonio GALLO
# Home Page at ......: http://www.badpenguin.org
# Home Page at ......: http://www.linux.it/~agx/
# e-mail contact ....: mailto:agx@linux.it	mailto:agx@geocities.com
# This program is distributed under the GNU General Public License
# You are not allowed to remove the copyright notice
# <END COPYRIGHT>

# Display System informations
# 1999-04-27, Version 1.0.0 by AGX
# 1999-10-14, Version 1.2.0 by AGX

# --- Temp Script ---
TEMPDIR="$HOME/tmp"
[ ! -d $TEMPDIR ] && mkdir -p $TEMPDIR
TEMPSCRIPT=$TEMPDIR/tempscript.$$
trap 'rm -f $TEMPSCRIPT ; exit $USCITA' 0
USCITA=0


clear
#echo "Just a second, preparing the Output ..."
echoc PURPLE "Un attimo solo, sto raccogliendo le informazioni ..."

# ====================================================
cat <<EOF >$TEMPSCRIPT

`cat  /proc/version 2>/dev/null`

------------------------------------------------
Infomazioni sulla C.P.U.
------------------------------------------------
`cat  /proc/cpuinfo 2>/dev/null`


------------------------------------------------
Dispositivi Hardware
------------------------------------------------
`cat  /proc/devices 2>/dev/null`


------------------------------------------------
D.M.A.
------------------------------------------------
`cat  /proc/dma 2>/dev/null`


------------------------------------------------
FileSystems Supportati
------------------------------------------------
`cat  /proc/filesystems 2>/dev/null`


------------------------------------------------
Numero di Interrupt 
------------------------------------------------
`cat  /proc/interrupts 2>/dev/null`


------------------------------------------------
Porte di I/O in uso 
------------------------------------------------
`cat  /proc/ioports 2>/dev/null`


------------------------------------------------
Statistiche dei dischi RAID
------------------------------------------------
`cat  /proc/mdstat 2>/dev/null`


------------------------------------------------
Informazioni sulla Memoria 
------------------------------------------------
`cat  /proc/meminfo 2>/dev/null`


------------------------------------------------
Informazioni sui dispositivi PCI 
------------------------------------------------
`cat  /proc/pci 2>/dev/null`


-----
Fine.
EOF
# ====================================================
echo "fatto."
sleep 1
dialog --title "Informazioni sul Sistema " --textbox "$TEMPSCRIPT" 0 0
USCITA=$?
exit $USCITA
