#!/bin/sh
# <BEGIN COPYRIGHT>
# This file is part of the "Bad Penguin" GNU/Linux distribution
# Copyright (C) 1997-98-99 by Antonio GALLO
# Home Page at ......: http://www.badpenguin.org
# Home Page at ......: http://www.linux.it/~agx/
# e-mail contact ....: mailto:agx@linux.it	mailto:agx@geocities.com
# This program is distributed under the GNU General Public License
# You are not allowed to remove the copyright notice
# <END COPYRIGHT>

# Display the user and system hystory
# 1999-04-27, Version 1.0.0 by AGX
# 1999-10-14, Version 1.2.0 by AGX

# --- Temp Script ---
TEMPDIR="$HOME/tmp"
[ ! -d $TEMPDIR ] && mkdir -p $TEMPDIR
TEMPSCRIPT=$TEMPDIR/tempscript.$$
trap 'rm -f $TEMPSCRIPT ; exit $USCITA' 0
USCITA=0

clear
echoc PURPLE "Attendi un attimo mentre preparo i risultati ..."

# =================================================

cat <<EOF >$TEMPSCRIPT

------------------------------------------------    
Currently Logged User
------------------------------------------------    
`who`


------------------------------------------------
Last system history
------------------------------------------------
`last`


------------------------------------------------
Failure Logins Count
------------------------------------------------
`faillog -pa`


------------------------------------------------
Failed Logins history
------------------------------------------------
`lastb`


------------------------------------------------
Last Log for all users
------------------------------------------------
`lastlog`


------------------------------------------------
/var/log/utmp.history
------------------------------------------------
`last -f /var/log/utmp.history -x`


------------------------------------------------
/var/log/wtmp.history
------------------------------------------------
`last -f /var/log/wtmp.history -x`


------
Fine.
EOF

# ====================================================
dialog --title "Logged User and System History ..." --textbox "$TEMPSCRIPT" 0 0
USCITA=$?
exit $USCITA
